Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.xml.xmldbaccess
Class XMLDBAccessBeanInfo

    java.lang.Object
      |
      +--java.beans.SimpleBeanInfo
            |
            +--oracle.xml.xmldbaccess.XMLDBAccessBeanInfo

All Implemented Interfaces:
  java.beans.BeanInfo

public class XMLDBAccessBeanInfo
extends java.beans.SimpleBeanInfo

This class provides information for the non-graphical XMLDBAccess bean. All the properties are suppressed from property descriptors.

Field Summary

Fields inherited from interface java.beans.BeanInfo
`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

Constructor Summary
`XMLDBAccessBeanInfo()`

Method Summary
`java.beans.PropertyDescriptor[]` | `getPropertyDescriptors()`

Methods inherited from class java.beans.SimpleBeanInfo
`getAdditionalBeanInfo, getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getIcon, getMethodDescriptors, loadImage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLDBAccessBeanInfo

    public XMLDBAccessBeanInfo()

Method Detail

### getPropertyDescriptors

    public java.beans.PropertyDescriptor[] getPropertyDescriptors()

  Specified by:
    `getPropertyDescriptors` in interface `java.beans.BeanInfo`
  Overrides:
    `getPropertyDescriptors` in class `java.beans.SimpleBeanInfo`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2004, Oracle. All rights reserved.